websitename: Altametrics
url: "https://altametrics.com"  # the base hostname for your site
baseurl: ""  # The subpath of your site, e.g. /blog/. Used only when your site that doesn’t sit at the root of the domain. 

markdown: kramdown

sass:
    sass_dir: _includes/sass
    style: compressed

plugins:
  - jekyll-paginate-v2
  - jekyll-redirect-from


# ---  App Parameters --- #
appointment:
  api_endpoints:
    easyappointments: "https://appointments.altametrics.com/index.php/api/v1"
    buyingintent: "https://bintent.altametrics.com/bintent/rest/bintent/v1"
    buyingintent2: "https://bintentu2.altametrics.com/bintent/rest/bintent/v1"
    mautic: "https://g1.altametrics.com"
    phone_lookups: "https://learn.zipfoodhandler.com/addons/shoppingcart/validate_number"

  api_keys:
    easyappointments: "eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJhbHRhbWV0cmljcyIsIm5hbWUiOiJzdXNoZWVsc2Fob28iLCJhZG1pbiI6dHJ1ZSwiaWF0Ijo5NTQwMzI5MzIxfQ.jveH2_gFjrr2b4ooCOA0jHtW5tRBM9aYBR7oTRMF8OBy1-2YbkAlyLJSFLuln3rGCAphRlp8tQOduMnt9RZ4SWO_5Kv5T6iUXBj1b0JGkcB8SFq-s3_zXeaR2WZ1c3ciZ0Df95DEbV7ZZxKTkzKJMcCtzCdIg1gInYmPG_q2HrNdq_PP-5Ymyenr2s1KwAKDBBLwmL4CtePb8eyef5_55gDXKQFTZnmE1L8jC2GG5TetKHOPXbnEY__1NNXjgwfUyPcc2Cwx6tZxzLUTAuxQ5LBMf6Px3gXi-wPIgBIlqhaq7Fi-UIji3rGxr2KH0lGqcI9PC0Eur1BQZe1tAHx_Gw"

  service_ids:
    sales_service: 22
    sales_provider: 2
    support_service: 22
    support_provider: 2
    mautic_sales_form: 71
    mautic_support_form: 82
  service_id: 1
  support_service_id: 36
  websitename: mywebsite

exclude: # These files are excluded from the site build, and will not be uploaded
  - vendor
  - node_modules
  - Gemfile
  - Gemfile.lock
  - rakefile
  - less
  - Gruntfile.js
  - package.json
  - s3_website.yml  # Contains Amazon S3 credentials and must be excluded from the site build
  - .jekyll-cache

# --- Pagination --- #
autopages:
  enabled: true           # Site-wide kill switch, disable here and it doesn't run at all 

  categories:             # Category pages, omit entire config element to disable
    enabled: true
    layouts:              # Optional, the list of layouts that should be processed for every category found in the site
      - 'autopage_articles_ar.html'
      - 'autopage_articles_default.html'
      - 'autopage_articles_es.html'
    title: 'Posts in category :cat'         # Optional, the title that each category paginate page should get (:cat is replaced by the Category name)
    #permalink: '/category/:cat'            # Optional, the permalink for the pagination page (:cat is replaced by the category name), the pagination permalink path is then appended to this permalink structure
    silent: false                           # Optional, when true logging related to category pages will be supressed.
    slugify:
      mode: 'default'   # :cat is slugified. Modes: default, raw, pretty, ascii, latin
      case: false       # Whether to replace all uppercase letters with their lowercase counterparts

  collections:          # Collection pages, omit to disable
    enabled: false
    layouts: 
      - 'autopage_collection.html'
    title: 'Posts in collection :coll' # :coll is replaced by the collection name
    permalink: '/collection/:coll'
    silent: false
    slugify:
      mode: 'default'   # :coll is slugified.
      case: false 
  
  tags:                 # Tag pages, omit to disable
    enabled: false
    layouts: 
      - 'autopage_tags.html'
    title: 'Posts tagged with :tag' # :tag is replaced by the tag name
    permalink: '/tag/:tag'
    silent: false
    slugify:
      mode: 'default'   # :tag is slugified.
      case: false

pagination: 
  enabled: true
  per_page: 11
  permalink: '/:num/'
  title: ":title (page :num)"
  sort_field: 'date'
  sort_reverse: true
  trail:
    before: 5
    after: 5

# --- Jekyll Picture Tag Parameters --- #
picture:
  source: "assets/_images"
  output: "assets/images"
  ignore_missing_images: true
  suppress_warnings: true 
  fast_build: true
  relative_url: false
  dimension_attributes: true # Prevent page reflow while images are loading, by adding width and height attributes to the <img> tag in the correct aspect ratio.

# ---  App Parameters --- #
appointment:                                  # Appointment App
  service_id: 1
  support_service_id: 36
  websitename: Altametrics

mautic_live_url: https://g1.altametrics.com      # Mautic - marketing automation

# --- Collections --- #
collections_dir: collections # specifies the collections directory.
collections:
#--- Default Language ---#
  default_articles:
    output: true
    permalink: /blog/:title:output_ext
  default_authors:
    output: true
    permalink: /authors/:title:output_ext
  default_collections:
    output: true
    permalink: /collections/:title:output_ext
  default_integrations:
    output: true
    permalink: /integrations/:title:output_ext
  default_topiccluster:
    output: true
    permalink: /topics/:title:output_ext
  default_company:
    output: true
    permalink: /companies/:title:output_ext
  default_credibility:
    output: true
    permalink: /companies/why-altametrics/:title:output_ext
  default_comparison:
    output: true
    permalink: /comparison/:title:output_ext
  default_locale:
    output: true
    permalink: /locale/:title:output_ext
  default_industry:
    output: true
    permalink: /industries/:title:output_ext
  default_marketing:
    output: true
    permalink: /marketing/:title:output_ext
  default_template:
    output: true
    permalink: /template/:title:output_ext
#--- Arabic Language (/ar) ---#
  ar_articles:
    output: true
    permalink: /ar/blog/:title:output_ext
  ar_authors:
    output: true
    permalink: /ar/authors/:title:output_ext
  ar_collections:
    output: true
    permalink: /ar/collections/:title:output_ext
  ar_integrations:
    output: true
    permalink: /ar/integrations/:title:output_ext
  ar_topiccluster:
    output: true
    permalink: /ar/restaurants101/:title:output_ext
#--- Spanish Language (/es) ---#
  es_articles:
    output: true
    permalink: /es/blog/:title:output_ext
  es_authors:
    output: true
    permalink: /es/authors/:title:output_ext
  es_collections:
    output: true
    permalink: /es/collections/:title:output_ext
  es_integrations:
    output: true
    permalink: /es/integrations/:title:output_ext
  es_topiccluster:
    output: true
    permalink: /es/restaurants101/:title:output_ext
    